Controls
Get a paginated list of controls from adopted frameworks.
Authorization
Authorization AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range
5 <= valueDefault
100page?number
Range
1 <= valueDefault
1organizationId*string
Length
1 <= lengthsortColumn?string
sortDirection?string
Value in
- "asc"
- "desc"
search?string
frameworks?array<string>
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/controls/?organizationId=string"{ "items": [ { "id": "string", "identifier": "string", "name": "string", "slug": "string", "type": "CATEGORY", "purpose": "string", "description": null, "isMandatory": true, "parentId": "string", "frameworkId": "string", "isCentralized": true, "createdAt": "string", "updatedAt": "string", "framework": { "id": "string", "name": "string", "identifier": "string", "identifierColor": "string", "version": "string", "isCentralized": true }, "parent": { "id": "string", "identifier": "string", "name": "string" }, "coverage": { "coverageStatus": "FULL", "coverageGap": "string" }, "effectiveCoverageStatus": "FULL", "isIndirectlyCovered": true, "sourceMatches": [ { "id": "string", "matchLevel": "FULL", "matchedControl": { "id": "string", "identifier": "string", "name": "string", "slug": "string", "framework": { "id": "string", "name": "string", "identifier": "string", "identifierColor": "string" } } } ], "children": [ {} ] } ], "total": 0, "page": 0, "limit": 0}How is this guide?